## picard-tools 2.27.2+dfsg

=== debian/changelog ===
picard-tools (2.27.2+dfsg-2) unstable; urgency=medium

  * Using maven_repo_helper to provide Maven artifacts

 -- Pierre Gruet <pgt@debian.org>  Thu, 07 Jul 2022 16:28:40 +0200

picard-tools (2.27.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2.27.2+dfsg
  * Refreshing patches
  * Raising Standards version to 4.6.1 (no change)
  * Switching from XmX4G to XmX2G in d/rules to enhance build on i386
  * Omitting the build of classes concerned by the removal of the
    com.sun.javadoc package in OpenJDK 17 (Closes: #1013577)

 -- Pierre Gruet <pgt@debian.org>  Sun, 26 Jun 2022 21:40:39 +0200

picard-tools (2.27.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.27.1+dfsg
  * Refreshing patches
  * Refreshing d/copyright

 -- Pierre Gruet <pgt@debian.org>  Sun, 24 Apr 2022 07:11:18 +0200
