## picard-tools 2.27.5+dfsg

=== debian/changelog ===
picard-tools (2.27.5+dfsg-2) unstable; urgency=medium

  * Stopping exporting ANT_HOME and JAVA_HOME in d/rules, this caused FTBFS
    on buildds since OpenJDK17 became the default JDK

 -- Pierre Gruet <pgt@debian.org>  Sun, 06 Nov 2022 17:21:06 +0100

picard-tools (2.27.5+dfsg-1) unstable; urgency=medium

  * New upstream version 2.27.5+dfsg
  * Refreshing patches
  * Adding a versioned B-D on libhtsjdk-java because of a change in its ABI
  * Building against openjdk-17 (Closes: #1011156):
    - Skipping tests which cannot run because of old Gradle not providing
      --add-opens
    - Stopping shipping BamToBfq because of a byte change in BamToBfqTest when
      switching to OpenJDK17
  * Marking the 60- patch as Forwarded: not-needed

 -- Pierre Gruet <pgt@debian.org>  Fri, 04 Nov 2022 11:09:56 +0100

picard-tools (2.27.4+dfsg-1) unstable; urgency=medium

  * New upstream version 2.27.4+dfsg
  * Refreshing patches
  * Updating d/watch after a change in the Github layout
  * Refreshing the Lintian override for embedded Javascript

 -- Pierre Gruet <pgt@debian.org>  Thu, 22 Sep 2022 20:25:58 +0200
