=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libgkl-jni [amd64],
                libgatk-native-bindings-java,
 # htsjdk and picard-tools are relased nearly together
-               libhtsjdk-java (>= 2.22.0~),
+               libhtsjdk-java (>= 3.0.2+dfsg),
                libjoptsimple-java,
 # required for tests:
                testng,
@@ -52,7 +52,7 @@
   AddOrReplaceReadGroups            FilterSamReads
   BaitDesigner                      FilterVcf
   BamIndexStats                     FixMateInformation
-  BamToBfq                          GatherBamFiles
+                                    GatherBamFiles
   BedToIntervalList                 GatherVcfs
   BuildBamIndex                     GenotypeConcordance
   CalculateHsMetrics                IlluminaBasecallsToFastq
