=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 
 export DH_VERBOSE=1
 export DH_OPTIONS
-
-export ANT_HOME=/usr/share/ant
-export JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::")
 
 %:
 	dh  $@ --buildsystem=gradle --with javahelper,maven_repo_helper
