=== debian/tests/control ===
Tests: run-unit-test
Depends: picard-tools
Restrictions: allow-stderr, skip-not-installable
