## picard-tools 3.0.0+dfsg

=== debian/changelog ===
picard-tools (3.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.0.0+dfsg
  * Refreshing patches
  * Raising Standards version to 4.6.2 (no change)
  * Removing unnecessary versioned B-D
  * Adding nashorn to d/maven.ignoreRules
  * Running the build-time tests from a directory with no '+' in its path
  * Omitting the long-failing jar invocation in the tests

 -- Pierre Gruet <pgt@debian.org>  Tue, 04 Jul 2023 15:23:35 +0200
