## picard-tools 3.1.1+dfsg

=== debian/changelog ===
picard-tools (3.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.1+dfsg
  * Refreshing patches
  * Enabling the test with BarclayParser again
  * Patching out more code portions using google-nio

 -- Pierre Gruet <pgt@debian.org>  Sat, 16 Dec 2023 22:38:31 +0100
