=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libcommons-lang3-java,
                libcommons-math3-java,
                libbarclay-java,
-               libgkl-java (>= 0.8.6+dfsg-2),
+               libgkl-java,
                libgkl-jni [amd64],
                libgatk-native-bindings-java,
 # htsjdk and picard-tools are relased nearly together
@@ -33,7 +33,7 @@
                default-jdk-doc,
                libhtsjdk-java-doc,
                libjs-jquery
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/picard-tools
 Vcs-Git: https://salsa.debian.org/med-team/picard-tools.git
 Homepage: https://broadinstitute.github.io/picard/
