## picard-tools 3.3.0+dfsg

=== debian/changelog ===
picard-tools (3.3.0+dfsg-2) unstable; urgency=medium

  * Disabling one test needing the network

 -- Pierre Gruet <pgt@debian.org>  Sat, 28 Dec 2024 15:47:49 +0100

picard-tools (3.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.3.0+dfsg
  * Refreshing patches
  * Raising Standards version to 4.7.0, no change
  * Refreshing dates in d/copyright
  * Updating the list of build-dependencies
  * Patching out code related to Google cloud services
  * Fixing test accuracy issue

 -- Pierre Gruet <pgt@debian.org>  Thu, 26 Dec 2024 22:14:02 +0100
