=== debian/control ===
--- 
+++ 
@@ -25,7 +25,9 @@
                libgatk-native-bindings-java,
 # htsjdk and picard-tools are relased nearly together
                libhtsjdk-java (>= 3.0.2+dfsg),
+               libhttp-nio-java,
                libjoptsimple-java,
+               libmjson-java,
 # required for tests:
                testng,
                r-base-core,
@@ -33,7 +35,7 @@
                default-jdk-doc,
                libhtsjdk-java-doc,
                libjs-jquery
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/picard-tools
 Vcs-Git: https://salsa.debian.org/med-team/picard-tools.git
 Homepage: https://broadinstitute.github.io/picard/
