=== debian/rules ===
--- 
+++ 
@@ -16,12 +16,17 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	# ensure the .jar can be executed
-	/usr/bin/java -XX:ParallelGCThreads=1 -Xmx2G -Xss16M -Djava.io.tmpdir=/tmp -jar `find . -name "picard*.jar" BamIndexStats|head -n 1` -h > /dev/null
-	# Tests do not work with locales with a different decimal separator
+	# We execute the tests in a copy of the full build tree in a place with a path
+	# having no '+' in its name: else the '+' in the version number of
+	# picard-tools is changed into a space by barclay and the classes are not
+	# found.
+	# Also, tests do not work with locales with a different decimal separator
 	# (for example ',')
-	env LC_ALL=C \
-	dh_auto_build -- test
+	TESTDIR=$$(mktemp -d);\
+	    cp -a . $$TESTDIR/picardTest;\
+	    cd $$TESTDIR/picardTest;\
+	    env LC_ALL=C \
+	    dh_auto_build -- test
 endif
 
 override_dh_clean:
