## picard-tools 3.4.0+dfsg

=== debian/changelog ===
picard-tools (3.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.4.0+dfsg
  * Refreshing patches
  * Raising Standards version to 4.7.3:
    - Removing Priority: optional, which is now default
    - Removing R-R-R: no, which is now default
  * Removing unneeded versioned B-D on htsjdk
  * Relying on javahelper to populate control files
  * Rewriting d/watch with version 5
  * Refreshing patches
  * Fixing more int/double comparisons in tests
  * Fixing more inaccurate data providers for the tests

 -- Pierre Gruet <pgt@debian.org>  Thu, 25 Dec 2025 22:46:58 +0100
