=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
            Steffen Moeller <moeller@debian.org>,
            Pierre Gruet <pgt@debian.org>
 Section: science
-Priority: optional
 Build-Depends: default-jdk,
                debhelper-compat (= 13),
                javahelper,
@@ -24,7 +23,7 @@
                libgkl-jni [amd64],
                libgatk-native-bindings-java,
 # htsjdk and picard-tools are relased nearly together
-               libhtsjdk-java (>= 3.0.2+dfsg),
+               libhtsjdk-java,
                libhttp-nio-java,
                libjoptsimple-java,
                libmjson-java,
@@ -35,11 +34,10 @@
                default-jdk-doc,
                libhtsjdk-java-doc,
                libjs-jquery
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/picard-tools
 Vcs-Git: https://salsa.debian.org/med-team/picard-tools.git
 Homepage: https://broadinstitute.github.io/picard/
-Rules-Requires-Root: no
 
 Package: picard-tools
 Architecture: all
@@ -94,17 +92,7 @@
 Architecture: all
 Section: java
 Depends: ${misc:Depends},
-# Getting versionned depends from Build-Depends
-# This avoid mismatch, but each library must be extracted in debian/rules
-         ${bd:libguava-java},
-         ${bd:libhtsjdk-java},
-         libbarclay-java,
-         libgkl-java,
-         libcommons-lang3-java,
-         libcommons-math3-java,
-         libgatk-native-bindings-java
-# avoid ${java:Depends} that contains openjdk-8-jdk-headless
-# due to tools.jar in classpath
+         ${java:Depends}
 Recommends: ${java:Recommends},
             r-base-core
 Suggests: picard-tools
