=== debian/rules ===
--- 
+++ 
@@ -35,21 +35,3 @@
 	# find testdata -iname "*.bai" -exec rm {} \;  # This needs to be more fine grained since testdata/picard/indices/index_test_b.bam.bai needs to stay!
 	$(RM) debian/bd-temp-substvars
 	$(RM) debian/bd.substvars
-
-override_dh_gencontrol:
-	cat debian/control \
-	| sed -e '/^Build-.*Depends:/,/^[^[:space:]#]/{s/^Build-.*Depends:/ /;p};d' \
-	| grep '^[[:space:]]' \
-	| tr ',' '\n' \
-	> debian/bd-temp-substvars
-	echo -n "bd:libhtsjdk-java=" > debian/bd.substvars
-	grep 'libhtsjdk-java ' debian/bd-temp-substvars \
-	| tr "\n" "," \
-	| sed -e 's/[[:space:]]\+/ /g;s/,$$/\n/' \
-	>> debian/bd.substvars
-	echo -n "bd:libguava-java=" >> debian/bd.substvars
-	grep 'libguava-java ' debian/bd-temp-substvars \
-	| tr "\n" "," \
-	| sed -e 's/[[:space:]]\+/ /g;s/,$$/\n/' \
-	>> debian/bd.substvars
-	dh_gencontrol -O--buildsystem=gradle -- -Tdebian/bd.substvars
