=== debian/watch ===
Version: 5

Source: https://github.com/broadinstitute/picard/tags
Matching-Pattern: .*/v?(\d\S*)\.tar\.gz
Compression: xz
Dversionmangle: s/\+dfsg$//
Filenamemangle: s/.+\/v?(\d\S*)\.tar\.gz/picard-tools-$1.tar.gz/
Repack: yes
Repacksuffix: +dfsg
Uversionmangle: s/-rc/~rc/
